import request           from '@/utils/request';

const pre = `/links`

export function getLinksAdd(data = {}) {
    return request({
                       url:    `${pre}/add`,
                       method: 'post',
                       data,
                   });
}

export function getLinksDelete(data = {}) {
    return request({
                       url:    `${pre}/delete`,
                       method: 'post',
                       data,
                   });
}

export function getLinksInfo(data = {}) {
    return request({
                       url:    `${pre}/info`,
                       method: 'post',
                       data,
                   });
}

export function getLinksList(data = {}) {
    return request({
                       url:    `${pre}/list`,
                       method: 'post',
                       data,
                   });
}

export function getLinksUpdate(data = {}) {
    return request({
                       url:    `${pre}/update`,
                       method: 'post',
                       data,
                   });
}